<%@ Page Language="VB" AutoEventWireup="false" ContentType="text/html" ResponseEncoding="gb2312" Inherits="b2bNet.user_checkmail" %>
<%On Error Resume Next%>
<script language="JavaScript">
var isUseful = <%=isUseful%>

	if(document.all)
	{
		/*for ie*/
		if (isUseful == 0)
		{
		    parent.email_info.innerHTML = "该邮箱格式正确。这是客户与您联系的首选方式，请确保填写正确。";
	        parent.email_info.className = "notetrue";
	        
	        if(parent.email_info_check.innerHTML.toLowerCase().indexOf("img") < 0)
	        {
    	        parent.email_info_check.innerHTML = "&nbsp;<img src=\"../images/true1.gif\" width=\"19\" height=\"16\" align=\"absmiddle\">" + parent.email_info_check.innerHTML;
	        }
	        parent.email_info.innerHTML = "该邮箱格式正确。这是客户与您联系的首选方式，请确保填写正确。";
	        parent.email_info.className = "note";
		}
		else if(isUseful == 1)
		{
		    parent.email_info.innerHTML = "<h1>您填写的邮箱，已经被“<font color=\"FF7300\"><%=rs("M_userid").Value%><\/font>用户”所用。<\/h1>";
	        parent.email_info.className = "noteawoke";
	        
            if(parent.email_info_check.innerHTML.toLowerCase().indexOf("img") > 0 )
            {
                var start =  parent.email_info_check.innerHTML.indexOf('>');
                var end = parent.email_info_check.innerHTML.length;
                parent.email_info_check.innerHTML = parent.email_info_check.innerHTML.substring(start +1,end);
            }
		}
	     
	}else{
	/*for ff & opera*/
		var xxx=parent.document;
		if (isUseful == 1) {
			xxx.getElementById("email_info").innerHTML = "该会员名可以使用";
	        xxx.getElementById("email_info").className = "notetrue";
	        xxx.getElementById("username_info").innerHTML = "填写正确。";
	        xxx.getElementById("username_info").className = "HintMsg";
		} else if (isUseful == 2) {
			xxx.getElementById("email_info").innerHTML = "请输入要检验的会员名";
	        xxx.getElementById("email_info").className = "noteawoke";
		} else if (isUseful == 3 ) {
			xxx.getElementById("email_info").innerHTML = "该会员名不能使用，请重新输入";
	        xxx.getElementById("email_info").className = "noteawoke";
		} else if (isUseful == 4) {
            var htmlStr = "该会员名已经存在，请重新输入";
            
            xxx.getElementById("email_info").innerHTML = htmlStr;
            xxx.getElementById("email_info").className = "noteawoke";
        }
	}
</script>